import request from '@/utils/request'

// 查询服务方式内容列表
export function listServicewaycontent(query) {
    return request({
        url: '/manage/servicewaycontent/list',
        method: 'get',
        params: query
    })
}
export function serviceWayList(query) {
    return request({
        url: '/manage/servicewaycontent/serviceWayList',
        method: 'get',
        params: query
    })
}


// 修改
export function getServicewaycontent(id) {
    return request({
        url: '/manage/servicewaycontent/' + id,
        method: 'get'
        
    })
}
// 查询服务方式详细
export function serviceWay(id) {
    return request({
        url: '/manage/servicewaycontent/serviceWay/' + id,
        method: 'get'
    })
}
// 新增服务方式内容
export function addServicewaycontent(data) {
    return request({
        url: '/manage/servicewaycontent/add',
        method: 'post',
        data: data
    })
}
export function addServiceWay(data) {
    return request({
        url: '/manage/servicewaycontent/addServiceWay',
        method: 'post',
        data: data
    })
}

// 修改服务方式内容
export function updateServicewaycontent(data) {
    return request({
        url: '/manage/servicewaycontent/edit',
        
        method: 'put',
        data: data
    })
}


export function editServiceWay(data) {
    return request({
        url: '/manage/servicewaycontent/editServiceWay',
        method: 'put',
        data: data
    })
}


// 删除服务方式内容
export function delServicewaycontent(id) {
    return request({
        url: '/manage/servicewaycontent/remove/' + id,
        method: 'delete'
    })
}
// / 删除服务方式
export function removeServiceWay(id) {
    return request({
        url: '/manage/servicewaycontent/removeServiceWay/'+id ,
        method: 'delete'
    })
}


